Browse Source

gin commit from Amo.local

New files: 4
Modified files: 1
Keisuke Sehara 3 years ago
parent
commit
bea04c20d6
5 changed files with 171 additions and 2 deletions
  1. BIN
      .datacite.yml.swp
  2. 46 0
      GIN_sync_UNIX
  3. 33 0
      GIN_sync_windows.bat
  4. 3 2
      README.md
  5. 89 0
      datacite.yml

BIN
.datacite.yml.swp


+ 46 - 0
GIN_sync_UNIX

@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+#
+## Double click me to synchornise changes between the mac or linux computer and the server, large files will not be downloaded 
+## To allow large file download, please erase the # sign in line 44-45 and save the file
+## use sync-bash if you are on a windows computer
+#
+# Upload changes from inside repository using GIN CLI
+# Assumes no submodules
+# Assumes gin init was performed or the repository was downloaded via gin get
+
+if (( $# > 0 )); then
+    echo "This script takes no arguments"
+    exit 1
+fi
+
+checkerror() {
+    err=$1
+    msg=$2
+    if [[ ${err} != 0 ]]; then
+        echo ${msg} >> ./log/gin.log
+        echo ${msg}
+        echo "Press [Enter] to close this window"
+        read
+        exit 1
+    fi
+}
+
+loc=$(dirname $0)
+projectdir=$(git -C ${loc} rev-parse --show-toplevel)
+
+pushd ${loc} > /dev/null
+
+mkdir -p ./log
+echo "$(date -Iseconds): Sync script executed" >> ./log/gin.log
+
+gin sync
+checkerror $? "Error occurred during 'gin sync'"
+gin commit .
+checkerror $? "Error occurred during 'gin commit'"
+gin upload
+checkerror $? "Error occurred during 'gin upload'"
+
+# Uncomment the two lines below to download all large files
+# gin get-content .
+# checkerror $? "Error occurred during 'gin get-content'"
+popd > /dev/null

+ 33 - 0
GIN_sync_windows.bat

@@ -0,0 +1,33 @@
+:: Double click me to synchornise changes between the windows computer and the server, large files will not be downloaded 
+:: To allow large file download, please erase the :: sign in line 31-32 and save the file
+:: use sync if you are on a mac or linux computer
+::
+::
+:: Upload changes from inside repository using GIN CLI
+:: Assumes no submodules
+
+:checkerror
+    err=%1
+    msg=%2
+    if %err% NEQ 0 (
+
+    )
+EXIT /B
+
+set curdir=%~dp0
+for /f %%i in ('git -C %curdir% rev-parse --show-toplevel') do set projectdir=%%i
+
+
+
+cd %projectdir%
+gin sync
+CALL :checkerror %ERRORLEVEL% "Error occurred during 'gin sync'"
+gin commit .
+CALL :checkerror %ERRORLEVEL% "Error occurred during 'gin commit'"
+gin upload
+CALL :checkerror %ERRORLEVEL% "Error occurred during 'gin upload'"
+
+:: Uncomment below to download all large files
+:: gin get-content .
+:: CALL :checkerror %ERRORLEVEL% "Error occurred during 'gin get-content'"
+pause

+ 3 - 2
README.md

@@ -1,3 +1,4 @@
-# Doron_Shin_PRhL1_paper_data
+# Data for: "Perirhinal input to neocortical layer I controls learning"
+
+Doron G, Shin JN, Takahashi N, Bocklisch C, Skenderi S, Drüke M, de Mont L, Toumazo M, von Heimendahl M, Brecht M, Naud R, Larkum ME. preprint on bioRxiv, https://doi.org/10.1101/713883
 
-Data publication related to Doron, Shin et al., https://doi.org/10.1101/713883

+ 89 - 0
datacite.yml

@@ -0,0 +1,89 @@
+# Metadata for DOI registration according to DataCite Metadata Schema 4.1.
+# For detailed schema description see https://doi.org/10.5438/0014
+
+## Required fields
+
+# The main researchers involved. Include digital identifier (e.g., ORCID)
+# if possible, including the prefix to indicate its type.
+authors:
+  -
+    firstname: "Keisuke"
+    lastname: "Sehara"
+    affiliation: "Institut für Biologie, Neurocure Center for Excellence, Chariteplatz 1 / Virchowweg 6, Charité Universitätsmedizin Berlin & Humboldt Universität, Berlin, 10117 Germany."
+    id: "ORCID:0000-0003-4368-8143"
+    role: "Data curation"
+  -
+    firstname: "Matthew E."
+    lastname: "Larkum"
+    affiliation: "Institut für Biologie, Neurocure Center for Excellence, Chariteplatz 1 / Virchowweg 6, Charité Universitätsmedizin Berlin & Humboldt Universität, Berlin, 10117 Germany."
+    id: "ORCID:0000-0001-9799-2656"
+    role: "Funding acquisition"
+    role: "Project administration"
+    role: "Supervision"
+    role: "Conceptualization"
+  -
+    firstname: "Julien"
+    lastname: "Colomb"
+    affiliation: "Institut für Biologie, Virchowweg 6, Humboldt Universität, Berlin, 10117 Germany."
+    id: "ORCID:0000-0002-3127-5520"
+    role: "Data curation"
+
+
+# A title to describe the published resource.
+title: "Example Title"
+
+# Additional information about the resource, e.g., a brief abstract.
+description: |
+  Example description
+  that can contain linebreaks
+  but has to maintain indentation.
+
+# Lit of keywords the resource should be associated with.
+# Give as many keywords as possible, to make the resource findable.
+keywords:
+  - Neuroscience
+  - Electrophysiology
+
+# License information for this resource. Please provide the license name and/or a link to the license.
+# Please add also a corresponding LICENSE file to the repository.
+license:
+  name: "Creative Commons CC0 1.0 Public Domain Dedication"
+  url: "https://creativecommons.org/publicdomain/zero/1.0/"
+
+
+
+## Optional Fields
+
+# Funding information for this resource.
+# Separate funder name and grant number by comma.
+funding:
+  - "DFG, DFG.2112280105"
+  - "DFG, DFG.LA 3442/3-1"
+  - "DFG, DFG.LA 3442/5-1"
+  - "DFG, DFG.327654276"
+  - "EU, EU.670118"
+  - "EU, EU.720270"
+  - "Einstein Stiftung"
+
+
+# Related publications. reftype might be: IsSupplementTo, IsDescribedBy, IsReferencedBy.
+# Please provide digital identifier (e.g., DOI) if possible.
+# Add a prefix to the ID, separated by a colon, to indicate the source.
+# Supported sources are: DOI, arXiv, PMID
+references:
+  -
+    id: "doi:10.xxx/zzzz"
+    reftype: "IsSupplementTo"
+    name: "PublicationName1"
+  -
+    id: "arxiv:mmmm.nnnn"
+    reftype: "IsSupplementTo"
+    name: "PublicationName2"
+  -
+    id: "pmid:nnnnnnnn"
+    reftype: "IsReferencedBy"
+    name: "PublicationName3"
+
+
+# Resource type. Default is Dataset, other possible values are Software, DataPaper, Image, Text.
+resourcetype: